"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescWrapper = exports.Title = exports.TypeText = exports.FieldText = exports.DescText = void 0;
const vars_1 = require("../vars");
const styled_1 = __importDefault(require("@emotion/styled"));
exports.DescText = styled_1.default.p `
  color: ${({ theme }) => theme.text.default};
  margin: 0;
  font-size: 14px;
  p {
    margin: 0;
  }
`;
exports.FieldText = styled_1.default.p `
  color: ${({ theme }) => theme.text.active};
  font-size: 14px;
  margin: 0;
  line-height: 1.6;
  padding-left: 2px;
`;
exports.TypeText = styled_1.default.p `
  color: ${({ isScalar, theme: { colors } }) => isScalar ? colors.scalar : colors.type};
  font-size: 14px;
  padding-left: 8px;
  margin: 0;
  transition: ${vars_1.transition};
  line-height: 1.6;
  &:hover {
    color: ${({ isScalar, theme }) => isScalar ? theme.colors.scalar : theme.text.active};
  }
`;
exports.Title = styled_1.default.div `
  color: ${({ theme, subTitle }) => subTitle ? theme.text.default : theme.text.active};
  font-size: 18px;
  margin: ${({ subTitle }) => (subTitle ? '18px 0px' : '0px 0px 4px 0px')};
  font-weight: bold;

  h3 {
    font-size: inherit;
  }
`;
exports.DescWrapper = styled_1.default.div `
  display: flex;
  flex-direction: row;
  align-items: center;
  cursor: ${({ readonly }) => (readonly ? 'auto' : 'pointer')};

  svg {
    color: ${({ theme }) => theme.text.default};
    opacity: ${({ isSvgVisible }) => (isSvgVisible ? 1 : 0)};
    transition: opacity 0.5s;
  }

  &:hover {
    svg {
      opacity: 1;
    }
  }
`;
